### Class

# GdkWayland WaylandMonitor

#### Description [src]

    final class GdkWayland.WaylandMonitor : Gdk.Monitor {
      /* No available fields */
    }

The Wayland implementation of `GdkMonitor`.

Beyond the `GdkMonitor` API, the Wayland implementation offers access to the Wayland `wl_output` object with gdk_wayland_monitor_get_wl_output().

#### Ancestors

- GdkMonitor
- GObject

#### Instance methods

###### gdk_wayland_monitor_get_wl_output

Returns the Wayland `wl_output` of a `GdkMonitor`.

#### Class structure

    struct GdkWaylandWaylandMonitorClass {
      /* no available fields */
    }